<!DOCTYPE html>
<html>
<head>
    <meta charset = "utf-8">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <main>
        <section>
            <h2>HTML Entities</h2>
        <p><em>Reserved characters in HTML(e.g. &lt; or &gt; characters that can mix up with HTML code.)</em></p>

        <!-- define an html table -->
        <table border ="1">
        <!-- thead used to group table header content -->
        <thead>
            <!-- defines a tablke row  -->
            <tr>
                <!-- defines a table header element-->
                <!-- colspan defines no. of columns table elemnt will occupy -->
                <th colspan="2">Entity</th>
                <th>Description</th>
            </tr>
            <tr>Description</tr>
        </thead>
        <!-- used to group tablew body content -->
        <tbody>
            <tr>
                <!-- table data element -->
                <td>&lt;</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <tr>
                <td>&#8377;</td>
                <td>#8377</td>
                <td>rupee sign</td>
            </tr>
            <tr>
                <td>&#38;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&#34;</td>
                <td>quot</td>
                <td>double quotation mark</td>
            </tr>
            <tr>
                <td>&#39;</td>
                <td>apos</td>
                <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower Tidle</td>
            </tr>
            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper Tidle</td>
            </tr>
        </tbody>
        <!-- used to group table footer content  -->
        <tfoot>
            <tr>
                <th colspan="3">List of HTML entities</th>
            </tr>
        </tfoot>
    </table>

    </section>
        

    </main>

    <!--  u can also use <header> here  -->
    <!-- <div id="header">
        <h1>HTML Tables and Forms</h1>
    </div> -->

    

    <h2>HTML Forms</h2>
    <p><em>Input elements that makes up a form.</em></p>
    <!-- creates an HTML form to capture user input -->
    <form action="https://www.google.com/" target = "_blank">
        <!-- cretaes a label and allows for input filed selesction when clicked -->
        <label for="full name">Full Name:</label><br>
        <input type="text" name="full name" id="full name" required><br>

        <label for="birth_date">Birth date:</label><br>
        <input type="date" name="birth_date" id="birth_date" required><br>

        <label for="age">Age :</label><br>
        <input type="number" name="age" id="age" required><br>

        <!-- create a dropdown menu -->
        <label for="gender">Gender :</label><br>
        <!-- create a dropdown menu -->
        <select name="gender" id="gender">
            <!-- create an options for dropdown -->
            <option value="Male">Male</option>
            <option value="Femle">Female</option>
        </select><br>

        <label for="notes">Notes</label><br>
        <!-- cretes a large text input -->
        <textarea name="notes" id="notes" rows="5"></textarea><br>

        <!-- radio buttons  -->
        <label >New user :</label><br>
        <input type="radio" name="new_user" id="user-type1" value="yes"><br>
        <label for="user-type1">Yes</label><br>
        <!-- in "for" we always type id  -->

        <input type="radio" name="new_user" id="user-type2" value="yes"><br>
        <label for="user-type2">No</label><br>
        <!-- ?keep name for radio options else both will be ticked paral -->

        <!-- checkboxes -->
        <label >Role :</label><br>
        <!-- crestes checkboxes for multiple choices -->
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label><br>
        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label><br>
        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label><br>

        <!-- creates a button that will submit the form data -->
        <button type="submit">Submit</button><br>

        <!-- create a buttion to reset the fiorm data -->
        <button type="reset">Reset</button> 

    </form>
</body>
</html>
<!-- NAME attribure use -we can think of  the name attribute 
    as a label when we send the data to our database 
    (should we need one) for the database to know what is the
     data. for example, if the user chose John Doe for the fullname, then 
    it will be labeled as "full_name" as the name attribute states -->